API references
Search documentation... ⌘K
API references

Get the redirect URL

This endpoint returns the URL where you should redirect your customer to complete their payment. The URL is specific to the payment method that was selected.

You should only call this endpoint after discover-next-action returns REDIRECT. The URL may not be ready immediately after creating the payment session - in this case you'll receive a NOT_READY error and should try again in a few seconds.

After redirecting the customer, you should continue polling discover-next-action in the background to know when they've completed the payment flow.

Note: Not all payment methods require redirection. For methods that don't support redirection, you'll receive a NOT_SUPPORTED error.

Endpoint signature
POST https://api.reservepay.com/sdk/get-redirect-url HTTP/1.1
Content-Type: application/json
Accept: application/json
{
merchant_id: string,
installation_id: string,
payment_session_id: string,
}
Returns: string
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
merchant_id string

Required. Your merchant ID that uniquely identifies your account.

installation_id string

Required. The installation ID for this platform (e.g. your iOS app, Android app, website, or terminal).

payment_session_id string

Required. The ID of the payment session returned from select-payment-method.

Errors specific to this endpoint
NOT_FOUND

This error occurs when we cannot find the merchant account, installation, or payment session with the IDs provided. Double check that you are using the correct IDs.

NOT_READY

This error occurs when the redirect URL is not yet ready. Wait a few seconds and try again.

NOT_SUPPORTED

This error occurs when trying to get a redirect URL for a payment method that doesn't support redirection (like QR codes).

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that is either deprecated or not yet released. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/sdk/discover-next-action" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
        "merchant_id": "123456789012",
        "installation_id": "ins_xhBi6ypq9G",
        "payment_session_id": "pse_01jz22vgekfrp101aw24f4g9dx"
      }'

Learn how to run these code samples in your terminal by reading our guide.